%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

Name:           ocaml-hmap
Version:        0.8.1
Release:        %mkrel 1
Summary:        Heterogeneous value maps for OCaml
Group:          Development/OCaml
License:        ISC

URL:            https://erratique.ch/software/hmap
Source0:        https://erratique.ch/software/hmap/releases/hmap-%{version}.tbz

BuildRequires:  ocaml
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-ocamlbuild
BuildRequires:  ocaml-rpm-macros
BuildRequires:  ocaml-topkg-devel


%description
Hmap provides heterogeneous value maps for OCaml. These maps bind keys to values
with arbitrary types. Keys witness the type of the value they are bound to which
allows to add and lookup bindings in a type safe manner.


%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}


%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%autosetup -p1 -n hmap-%{version}


%build
%ifarch %{ocaml_native_compiler}
ocaml pkg/pkg.ml build --pkg-name hmap --tests true
%else
ocaml pkg/pkg.ml build --pkg-name hmap
%endif


%install
%ocaml_install -s


%files -f .ofiles-hmap
%doc README.md
%license LICENSE.md


%files devel -f .ofiles-hmap-devel
%license LICENSE.md


%changelog
* Sun Jun 22 2025 daviddavid <daviddavid> 0.8.1-1.mga10
+ Revision: 2193966
- initial package ocaml-hmap

